Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.cs
Class AxisDirection

    Object
      CodeList<AxisDirection>
          AxisDirection

All Implemented Interfaces:
  Serializable, Comparable<AxisDirection>

    @UML(identifier="CS_AxisDirection",
         specification=ISO_19111)
    public final class AxisDirection

extends CodeList<AxisDirection>

The direction of positive increments in the coordinate value for a coordinate system axis. This direction is exact in some cases, and is approximate in other cases.

Some coordinate systems use non-standard orientations. For example, the first axis in South African grids usually points West, instead of East. This information is obviously relevant for algorithms converting South African grid coordinates into Lat/Long.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  Serialized Form

Field Summary
`static AxisDirection` | `COLUMN_NEGATIVE` Axis positive direction is towards lower pixel column.
`static AxisDirection` | `COLUMN_POSITIVE` Axis positive direction is towards higher pixel column.
`static AxisDirection` | `DISPLAY_DOWN` Axis positive direction is towards bottom of approximately vertical display surface.
`static AxisDirection` | `DISPLAY_LEFT` Axis positive direction is left in display.
`static AxisDirection` | `DISPLAY_RIGHT` Axis positive direction is right in display.
`static AxisDirection` | `DISPLAY_UP` Axis positive direction is towards top of approximately vertical display surface.
`static AxisDirection` | `DOWN` Axis positive direction is down relative to gravity.
`static AxisDirection` | `EAST` Axis positive direction is π/2 radians clockwise from north.
`static AxisDirection` | `EAST_NORTH_EAST` Axis positive direction is approximately east-north-east.
`static AxisDirection` | `EAST_SOUTH_EAST` Axis positive direction is approximately east-south-east.
`static AxisDirection` | `FUTURE` Axis positive direction is towards the future.
`static AxisDirection` | `GEOCENTRIC_X` Axis positive direction is in the equatorial plane from the centre of the modelled earth towards the intersection of the equator with the prime meridian.
`static AxisDirection` | `GEOCENTRIC_Y` Axis positive direction is in the equatorial plane from the centre of the modelled earth towards the intersection of the equator and the meridian π/2 radians eastwards from the prime meridian.
`static AxisDirection` | `GEOCENTRIC_Z` Axis positive direction is from the centre of the modelled earth parallel to its rotation axis and towards its north pole.
`static AxisDirection` | `NORTH` Axis positive direction is north.
`static AxisDirection` | `NORTH_EAST` Axis positive direction is approximately north-east.
`static AxisDirection` | `NORTH_NORTH_EAST` Axis positive direction is approximately north-north-east.
`static AxisDirection` | `NORTH_NORTH_WEST` Axis positive direction is approximately north-north-west.
`static AxisDirection` | `NORTH_WEST` Axis positive direction is approximately north-west.
`static AxisDirection` | `OTHER` Unknown or unspecified axis orientation.
`static AxisDirection` | `PAST` Axis positive direction is towards the past.
`static AxisDirection` | `ROW_NEGATIVE` Axis positive direction is towards lower pixel row.
`static AxisDirection` | `ROW_POSITIVE` Axis positive direction is towards higher pixel row.
`static AxisDirection` | `SOUTH` Axis positive direction is π radians clockwise from north.
`static AxisDirection` | `SOUTH_EAST` Axis positive direction is approximately south-east.
`static AxisDirection` | `SOUTH_SOUTH_EAST` Axis positive direction is approximately south-south-east.
`static AxisDirection` | `SOUTH_SOUTH_WEST` Axis positive direction is approximately south-south-west.
`static AxisDirection` | `SOUTH_WEST` Axis positive direction is approximately south-west.
`static AxisDirection` | `UP` Axis positive direction is up relative to gravity.
`static AxisDirection` | `WEST` Axis positive direction is 3π/2 radians clockwise from north.
`static AxisDirection` | `WEST_NORTH_WEST` Axis positive direction is approximately west-north-west.
`static AxisDirection` | `WEST_SOUTH_WEST` Axis positive direction is approximately west-south-west.

Method Summary
`AxisDirection` | `absolute()` Returns the "absolute" direction of this axis.
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`AxisDirection` | `opposite()` Returns the opposite direction of this axis.
`static AxisDirection` | `valueOf(String code)` Returns the AxisDirection that matches the given string, or returns a new one if none match it.
`static AxisDirection[]` | `values()` Returns the list of `AxisDirection`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OTHER

    @UML(identifier="CS_AxisOrientationEnum.CS_AO_Other",
         specification=OGC_01009)
    public static final AxisDirection OTHER

  Unknown or unspecified axis orientation.

### NORTH

    @UML(identifier="north",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection NORTH

  Axis positive direction is north. In a geographic or projected CRS, north is defined through the geodetic datum. In an engineering CRS, north may be defined with respect to an engineering object rather than a geographical direction.

### NORTH_NORTH_EAST

    @UML(identifier="northNorthEast",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection NORTH_NORTH_EAST

  Axis positive direction is approximately north-north-east.

  Since:
    GeoAPI 2.0

### NORTH_EAST

    @UML(identifier="northEast",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection NORTH_EAST

  Axis positive direction is approximately north-east.

  Since:
    GeoAPI 2.0

### EAST_NORTH_EAST

    @UML(identifier="eastNorthEast",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection EAST_NORTH_EAST

  Axis positive direction is approximately east-north-east.

  Since:
    GeoAPI 2.0

### EAST

    @UML(identifier="east",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection EAST

  Axis positive direction is π/2 radians clockwise from north. This is usually used for Grid X coordinates and Longitude.

### EAST_SOUTH_EAST

    @UML(identifier="eastSouthEast",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection EAST_SOUTH_EAST

  Axis positive direction is approximately east-south-east.

  Since:
    GeoAPI 2.0

### SOUTH_EAST

    @UML(identifier="southEast",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection SOUTH_EAST

  Axis positive direction is approximately south-east.

  Since:
    GeoAPI 2.0

### SOUTH_SOUTH_EAST

    @UML(identifier="southSouthEast",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection SOUTH_SOUTH_EAST

  Axis positive direction is approximately south-south-east.

  Since:
    GeoAPI 2.0

### SOUTH

    @UML(identifier="south",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection SOUTH

  Axis positive direction is π radians clockwise from north.

### SOUTH_SOUTH_WEST

    @UML(identifier="southSouthWest",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection SOUTH_SOUTH_WEST

  Axis positive direction is approximately south-south-west.

  Since:
    GeoAPI 2.0

### SOUTH_WEST

    @UML(identifier="southWest",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection SOUTH_WEST

  Axis positive direction is approximately south-west.

  Since:
    GeoAPI 2.0

### WEST_SOUTH_WEST

    @UML(identifier="westSouthWest",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection WEST_SOUTH_WEST

  Axis positive direction is approximately west-south-west.

  Since:
    GeoAPI 2.0

### WEST

    @UML(identifier="west",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection WEST

  Axis positive direction is 3π/2 radians clockwise from north. This is usually used for Grid X coordinates and Longitude.

### WEST_NORTH_WEST

    @UML(identifier="westNorthWest",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection WEST_NORTH_WEST

  Axis positive direction is approximately west-north-west.

  Since:
    GeoAPI 2.0

### NORTH_WEST

    @UML(identifier="northWest",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection NORTH_WEST

  Axis positive direction is approximately north-west.

  Since:
    GeoAPI 2.0

### NORTH_NORTH_WEST

    @UML(identifier="northNorthWest",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection NORTH_NORTH_WEST

  Axis positive direction is approximately north-north-west.

  Since:
    GeoAPI 2.0

### UP

    @UML(identifier="up",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection UP

  Axis positive direction is up relative to gravity. This is used for vertical coordinate reference systems.

### DOWN

    @UML(identifier="down",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection DOWN

  Axis positive direction is down relative to gravity. This is used for vertical coordinate reference systems.

### GEOCENTRIC_X

    @UML(identifier="geocentricX",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection GEOCENTRIC_X

  Axis positive direction is in the equatorial plane from the centre of the modelled earth towards the intersection of the equator with the prime meridian.

  Since:
    GeoAPI 2.0

### GEOCENTRIC_Y

    @UML(identifier="geocentricY",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection GEOCENTRIC_Y

  Axis positive direction is in the equatorial plane from the centre of the modelled earth towards the intersection of the equator and the meridian π/2 radians eastwards from the prime meridian.

  Since:
    GeoAPI 2.0

### GEOCENTRIC_Z

    @UML(identifier="geocentricZ",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection GEOCENTRIC_Z

  Axis positive direction is from the centre of the modelled earth parallel to its rotation axis and towards its north pole.

  Since:
    GeoAPI 2.0

### FUTURE

    @UML(identifier="future",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection FUTURE

  Axis positive direction is towards the future. This is used for temporal coordinate reference systems.

### PAST

    @UML(identifier="past",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection PAST

  Axis positive direction is towards the past. This is used for temporal coordinate reference systems.

### COLUMN_POSITIVE

    @UML(identifier="columnPositive",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection COLUMN_POSITIVE

  Axis positive direction is towards higher pixel column.

  Since:
    GeoAPI 2.0

### COLUMN_NEGATIVE

    @UML(identifier="columnNegative",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection COLUMN_NEGATIVE

  Axis positive direction is towards lower pixel column.

  Since:
    GeoAPI 2.0

### ROW_POSITIVE

    @UML(identifier="rowPositive",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection ROW_POSITIVE

  Axis positive direction is towards higher pixel row.

  Since:
    GeoAPI 2.0

### ROW_NEGATIVE

    @UML(identifier="rowNegative",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection ROW_NEGATIVE

  Axis positive direction is towards lower pixel row.

  Since:
    GeoAPI 2.0

### DISPLAY_RIGHT

    @UML(identifier="displayRight",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection DISPLAY_RIGHT

  Axis positive direction is right in display.

  Since:
    GeoAPI 2.0

### DISPLAY_LEFT

    @UML(identifier="displayLeft",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection DISPLAY_LEFT

  Axis positive direction is left in display.

  Since:
    GeoAPI 2.0

### DISPLAY_UP

    @UML(identifier="displayUp",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection DISPLAY_UP

  Axis positive direction is towards top of approximately vertical display surface.

  Since:
    GeoAPI 2.0

### DISPLAY_DOWN

    @UML(identifier="displayDown",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final AxisDirection DISPLAY_DOWN

  Axis positive direction is towards bottom of approximately vertical display surface.

  Since:
    GeoAPI 2.0

Method Detail

### values

    public static AxisDirection[] values()

  Returns the list of `AxisDirection`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<AxisDirection>`

### opposite

    @Extension
    public AxisDirection opposite()

  Returns the opposite direction of this axis. The opposite direction of North is South, and the opposite direction of South is North. The same applies to East-West, Up-Down and Future-Past, etc. If this axis direction has no opposite, then this method returns `null`.

### absolute

    @Extension
    public AxisDirection absolute()

  Returns the "absolute" direction of this axis. This "absolute" operation is similar to the `Math.abs(int)` method in that "negative" directions like (`SOUTH`, `WEST`, `DOWN`, `PAST`) are changed for their "positive" counterparts (`NORTH`, `EAST`, `UP`, `FUTURE`). More specifically, the following conversion table is applied:

  Direction | Absolute value
  --- | ---
  `NORTH` | `NORTH`
  `SOUTH` | `NORTH`
  `EAST` | `EAST`
  `WEST` | `EAST`
  `UP` | `UP`
  `DOWN` | `UP`
  Direction | Absolute value
  --- | ---
  `DISPLAY_RIGHT` | `DISPLAY_RIGHT`
  `DISPLAY_LEFT` | `DISPLAY_RIGHT`
  `DISPLAY_UP` | `DISPLAY_UP`
  `DISPLAY_DOWN` | `DISPLAY_UP`
  `FUTURE` | `FUTURE`
  `PAST` | `FUTURE`
  `OTHER` | `OTHER`

### valueOf

    public static AxisDirection valueOf(String code)

  Returns the AxisDirection that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.